summaryrefslogtreecommitdiffstats
path: root/desktop/recoll
diff options
context:
space:
mode:
author titopoquito2010-05-11 19:44:03 +0200
committer Eric Hameleers2010-05-11 19:44:03 +0200
commit022be4b55de0d6dc9b5d6397775a87a29a172bc1 (patch)
tree25ee514220360cba1bd789ebab186f810c3e9865 /desktop/recoll
parentc3fc397a6983cf671b4d46599d52777ee77abf2a (diff)
downloadslackbuilds-022be4b55de0d6dc9b5d6397775a87a29a172bc1.tar.gz
desktop/recoll: Updated for version 1.8.1
Diffstat (limited to 'desktop/recoll')
-rw-r--r--desktop/recoll/README21
-rw-r--r--desktop/recoll/recoll.SlackBuild27
-rw-r--r--desktop/recoll/recoll.info2
3 files changed, 19 insertions, 31 deletions
diff --git a/desktop/recoll/README b/desktop/recoll/README
index b1312e2f1a..fd06563d79 100644
--- a/desktop/recoll/README
+++ b/desktop/recoll/README
@@ -1,26 +1,15 @@
recoll (personal full text search tool)
-Recoll is a personal full text search tool for Unix/Linux.
-It is based on the very strong Xapian backend, for which it
-provides an easy to use, feature-rich, easy administration,
-QT graphical interface.
+Recoll is a personal full text search tool for Unix/Linux. It is based
+on the very strong Xapian backend, for which it provides an easy to use,
+feature-rich, easy administration, QT graphical interface.
-The homepage of recoll is found at http://www.lesbonscomptes.com/recoll/
-
-recoll depends on some other packages, that are not met by a
-standard Slackware install. All these should be covered by seperate
-build scripts. These dependencies are:
-
-Required:
- xapian-core (http://www.xapian.org/)
-Optional:
- antiword (http://www.winfield.demon.nl/)
- unrtf (http://www.gnu.org/software/unrtf/unrtf.html)
+This requires xapian-core, with optional dependencies of antiword, unrtf,
+and exiftool (all available at SlackBuilds.org).
NOTE: As of the time of writing, recoll depends on version 0.9.10 of
xapian-core, the newer 1.0.0 release does NOT work with this version
of recoll.
-Else no incompatibilities are known.
After installing the package you should create the file
$HOME/.recoll/recoll.conf and modify it to your needs, especially the
diff --git a/desktop/recoll/recoll.SlackBuild b/desktop/recoll/recoll.SlackBuild
index 47956eeb99..010cae7eb3 100644
--- a/desktop/recoll/recoll.SlackBuild
+++ b/desktop/recoll/recoll.SlackBuild
@@ -1,4 +1,5 @@
#!/bin/sh
+
# Slackware build script for recoll
# Copyright 2007 by titopoquito (titopoquito@cooltoad.com)
# Permission to use, copy, modify, and distribute this software for
@@ -19,20 +20,19 @@
# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
# ---------------------------------------------------------------------------
+
# Modified by the SlackBuilds.org Project
-# Exit on most errors
-set -e
+PRGNAM=recoll
+VERSION=1.8.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
-PRGNAM=recoll # replace with name of program
-VERSION=1.8.1 # replace with version of program
-ARCH=${ARCH:-i486} # this should not change
-BUILD=${BUILD:-1}
-TAG=${TAG:-_SBo} # the "_SBo" is required
CWD=$(pwd)
-TMP=${TMP:-/tmp/SBo} # For consistency's sake, use this
+TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -40,11 +40,13 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
+set -e # Exit on most errors
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -59,11 +61,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-# Fix the icon path in the .desktop file (Slackware 11.0 and earlier need it):
-sed -i -e "s#^Icon=recoll-searchgui#Icon=/usr/share/icons/hicolor/48x48/apps/recoll-searchgui.png#" $PKG/usr/share/applications/recoll-searchgui.desktop
-
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
diff --git a/desktop/recoll/recoll.info b/desktop/recoll/recoll.info
index d7b2051528..ddb01c7911 100644
--- a/desktop/recoll/recoll.info
+++ b/desktop/recoll/recoll.info
@@ -5,4 +5,4 @@ DOWNLOAD="http://www.lesbonscomptes.com/recoll/recoll-1.8.1.tar.gz"
MD5SUM="4dc4b372a63ed16b27c6a731503afe2f"
MAINTAINER="titopoquito"
EMAIL="titopoquito@cooltoad.com"
-APPROVED="alien"
+APPROVED="alien,rworkman"